HPT-372 + DEBIAN 3.0 telepítési probléma

 ( Duggy | 2004. június 11., péntek - 11:01 )

HPT-372 + DEBIAN 3.0 telepítési probléma

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Üdv Mindenkinek!

Nem régóta foglalkozok Linux-al, ezen belül is debian-nal.
Ugyanakkor eddig a legtöbb problémámat megoldottam, a munkahelyemen jelenleg is üzemeltetek egy Debian szervert (SCSI alrendszer, Apache, MySQL, PHP, ProFTP, IPTABLES).

Mostanában szerettem volna felrakni a Debian-t az otthoni gépemre, de nem sikerült. A gépben egy Abit VP6-os alaplap van HPT-372-es alaplapi IDE vezérlővel és ezen csüng a rendszert tartalmazó HDD jelenleg egy Windows XP-vel. Na e mellé szeretném feltenni a Debian-t.
A telepítésnél a lilo boot-nál bármely kernel-image-t indítom, nem látja a merevlemezt. Nagy nehezen rábírtam arra venni a gépet, hogy a telepítéskor betölthető HPT modult elfogadja és sokadszorra próbálva még működjön is. Feltelepült a Debian (és a LILO is), de az újraindítás után a LILO a "LIL"-ig jutott el, majd megállt. Innentől kezdve annyi volt a feltelepített Debian-omnak és a WinXP-nek is (persze csak a boot-manager miatt, amit megcsináltam).

Na, ezzel a problémával kapcsolatban szeretnék észrevételeket, tanácsokat, stb.

Ui.: a HPT-372-n nincs RAID, csak az ATA 100 miatt használ(nám)om.

Köszönettel:

Duggy

elvileg a lilonak még bios parancsokkal kéne magát, meg a kernelt behúznia... :?
próbáltad grubbal?
ja, és addig is, csinálj egy bootfloppyt, amivel be tudsz bootolni :wink:

A GRUB-ot még nem ismerem. De kipróbálom.

AZ indító lemez készítése is egy kicsit problémás nekem, ha esetleg segítenél benne.....

Köszi.

debian alatt van makebootdisk?

a telepito mindig felkinalja, hogy csinal bootdisket, mert hasznos lehet.
mondjuk most mar keso banat...
http://www.sysresccd.org/

Nekem is olyan alaplapom van, ami tartalmaz egy hpt372-es vezérlőt. Ha azt akarod, hogy a Debian innen bootoljon, olyan kernelt kell fordítani, amiben bele van fordítva a hpt370-es (nem modulként). Az alap Debian Woody kerrnelben ez megvan, de az 2.4.18-as kernel, és ott még nem volt teljesen hibátlan a hpt370. Ezért a 2.6-os kernellel kell megpróbálni, nekem azzal tökéletesen megy.

Sajnos nincs.

Most néztem, alapból nincs és nem ismer ilyen csomagot sem.

Ami a boot-lemez készítését illeti, azt el is készítettem és azzal indult is...
a Debian. A WinXP nem. De ezt még megoldottam.

Igazából akkor lett gáz, amikor floppy nélkül, simán lilo-val próbáltam merevlemezről boot-olni. Persze a kernel fordítás és a LILO konfig után.

Kedves Vitya!

Akkor, ha jól értelmezem szavaid, akkor fordítanom kellene egy alap kernel-t (HPT-370 támogatással beforgatva), ebből egy boot lemezt és így telepíteni. Ez még így OK is lenne DE:

- megtorténik a fordítás és a make bzDisk
- ezután fel kell kapcsolni a CD kötetet?
- hogyan indul el a Debian telepítő?

Ha jól értem, van egy ATA100-as vinyód a hpt372-esen, erre kéne telepíteni a Debian-t? Ha ez a helyzet, akkor:
Debian Woody 1.cd be a cd-romba, promptnál beírod: bf24, hogy a telepítő a 2.4-es kernelt indítsa. (Bocs, ha ezeken már túlvagy:)) ). Ha ez a kernel látja a hpt372-őn lévő vinyódat, akkor ok, a telepítő feltornázza a cuccost. Az első újraindításnál viszont gondok lesznek, mivel a bf24-es kernel nem jól kezeli a hpt372-őt. Tehát ez a módszer nem jó :)))
Én úgy telepítettem a Debian-t, hogy vinyó először a hagyományos IDE-re, erre felkerül a Woody alaprendszer, ezután 2.6-os fordítása hpt372-vel befordítva, ezután vinyó vissza a hpt-re, és boot. (Persze mielőtt visszateszed, a vinyó /dev/hdx-ről /dev/hdy-ra kerül át, ezt ne felejtsd el a config állományban átírni még a csere előtt).
Ha nem akarsz fordítással bajlódni, 2.6-ost a testing-ből is telepíthetsz, de azt nem tudom, hogy ott a hpt370-es modul, vagy be van forgatva. Ha csak modul, akkor kernelfordítás kell. Használd hozzá a kpackage csomagot, ekkor a csomagkezelővel telepítheted az új kernelt.

bocsi kpackage helyett kernel-package akart lenni.... :)

Ez így jónak tűnik.

Egy két kérdés:

- A 2.6-os kernellel eddig elég sokat szívtam. Valahogy nem volt jó sosem. Nem jó ehhez a 2.4.26-os kernel. Ez a legutolsó a 2.4.x sorozatból a stabilak közül.

- Hogyan fognak alakulni a /dev/hdx..../dev/hdy eszközök. Értem ez alatt azt, hogy marad sima /dev/hd_valami vagy /dev/sd_valamibe fog átcsapni? Tehát ide-ként vagy scsi-ként fogja kezelni?

- Ha a sima alaplapi vezérlőn nincsen másik merevlemez, csak a rendszerként használt, akkor változik-e a /dev/hd_valami akkor, ha a winyot a HPT-re átrakom?

[quote:a240e03574="Duggy"]- A 2.6-os kernellel eddig elég sokat szívtam. Valahogy nem volt jó sosem. Nem jó ehhez a 2.4.26-os kernel. Ez a legutolsó a 2.4.x sorozatból a stabilak közül.[/quote:a240e03574]
a 2.6os kernelre előbb-utóbb úgyis át kell térni. ha most telepíted a rendszert, akkor érdemes 1ből azzal telepíteni :wink:

[quote:1cba92fd8b="Duggy"]Kedves Vitya!

Akkor, ha jól értelmezem szavaid, akkor fordítanom kellene egy alap kernel-t (HPT-370 támogatással beforgatva), ebből egy boot lemezt és így telepíteni. Ez még így OK is lenne DE:

- megtorténik a fordítás és a make bzDisk
- ezután fel kell kapcsolni a CD kötetet?
- hogyan indul el a Debian telepítő?[/quote:1cba92fd8b]

A telepito floppy elso lemezen (rescue) ki kell cserelni a kernelt az altalad forditott kernelre. Hogyan? Igy ->

[url=http://www.debian.org/releases/stable/i386/ch-boot-floppy-techinfo.en.html#s-rescue-replace-kernel]10.3 Replacing the Rescue Floppy Kernel[/url]

Az OK, hogy előbb-utóbb 2.6-os kernel kell.

Csak szereti az ember a hibákat egyenként megoldani, mert akkor követhetőek a nehézségek.

Csak azt nem tudom, hogy a 2.4.26-os kernel HPT370/372 támogatása már megfelelő-e?

Jó a kérdés, mármint hogy a 2.4.26 tudja-e a hpt372-őt kezelni rendesen. Ezt nem tudom. A 2.6-os kernelre való átálláskor (Woody alatt) egy-két dologra oda kell figyelni, nevezetesen: a testing-ből fel kell telepíteni a kernel-package csomagot, ennek a README-jében le van írva, hogy mi az az - egyébként minimális - változtatás, amit eszközölni kell a Woody alatt, hogy forduljon és fusson a 2.6-os. Ha jól emlékszem, a module-init-tools-t és még egy csomagot forrásból kell letölteni, (deb-src, tehát apt-get-tel letölthető,) lefordítani, telepíteni, ezután a 2.6-os fordítása mehet Woody alól. A kernel-package-ban le van írva, egyszerűek a lépések is. Fontos, hogy a testingből (vagy a sid-ből) töltsd le a kernel-packagét, mert a Woodys verzióban nincs benne a 2.6-hoz szüks. változtatások leírása.